Page MenuHomePhabricator

[harbormaster/abort-builds] Support aborting builds in Harbormaster
ClosedPublic

Authored by hach-que on Feb 24 2015, 1:20 AM.

Details

Summary

Ref T1049. This adds support for aborting builds in Harbormaster.

Test Plan

Tested it in production.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

hach-que updated this revision to Diff 28588.Feb 24 2015, 1:20 AM
hach-que retitled this revision from to Support aborting builds in Harbormaster.
hach-que updated this object.
hach-que edited the test plan for this revision. (Show Details)
hach-que added a reviewer: epriestley.
hach-que updated this revision to Diff 28589.Feb 24 2015, 1:43 AM
hach-que edited edge metadata.

Add an explicit abort status

hach-que updated this revision to Diff 28590.Feb 24 2015, 1:54 AM

Fix abort all builds button

hach-que updated this revision to Diff 28593.Feb 24 2015, 2:00 AM

Add route for buildable action

hach-que retitled this revision from Support aborting builds in Harbormaster to [harbormaster/abort-builds] Support aborting builds in Harbormaster.Jul 1 2015, 5:01 AM
hach-que updated this revision to Diff 32666.Jul 1 2015, 5:04 AM

Rebase on origin/master

epriestley requested changes to this revision.Aug 8 2015, 6:49 PM
epriestley edited edge metadata.

I think we should rename "STOP" to "PAUSE", in the code and in the UI if it's still there anywhere. The difference between STOP and ABORT is not clear or obvious when reading the code.

Then I think we should consider calling this STOP, to contrast with PAUSE, although I think it's probably clear enough as ABORT.

src/applications/harbormaster/controller/HarbormasterBuildActionController.php
100

Prefer single space after period.

src/applications/harbormaster/controller/HarbormasterBuildableActionController.php
134

and work will be discarded and builds can not be resumed and must be completely restarted

src/applications/harbormaster/engine/HarbormasterBuildEngine.php
109

Just release the artifacts? Why are you also picking up the other restart side effects?

112

No reason to nest these.

src/applications/harbormaster/storage/build/HarbormasterBuild.php
349

Prevent abort of automatic builds, as other methods now do.

This revision now requires changes to proceed.Aug 8 2015, 6:49 PM

@yelirekim, this is essentially the "cancelled" status you were asking about.

"Cancel" would be another possible name for the "Stop/Abort" operation, but I think stop and abort are probably better terms (and maybe abort is best, since "stopped" sounds weaker than "aborted" to me?)

"stop" / "abort" seems sufficiently self explanatory to me.

sorry didn't read that previous comment thoroughly, pause/abort is even better.

hach-que updated this revision to Diff 33771.Aug 24 2015, 1:14 PM
hach-que edited edge metadata.

Rename stop to pause everywhere

hach-que updated this revision to Diff 33772.Aug 24 2015, 1:28 PM
hach-que edited edge metadata.

Other requested changes

epriestley accepted this revision.Sep 21 2015, 7:07 PM
epriestley edited edge metadata.

Oh, sorry, missed this update. Looks great, thanks!

This revision is now accepted and ready to land.Sep 21 2015, 7:07 PM
This revision was automatically updated to reflect the committed changes.